Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class QueryException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.ValidationException
oracle.toplink.exceptions.QueryException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SDKQueryException

public class QueryException
extends ValidationException

Purpose: This exception is used for any problem that is detected with a query.

See Also:
  Serialized Form

Field Summary
`static int` | `ADDITIONAL_SIZE_QUERY_NOT_SPECIFIED`
`static int` | `AGGREGATE_OBJECT_CANNOT_BE_DELETED`
`static int` | `ARGUMENT_SIZE_MISMATCH_IN_QUERY_AND_QUERY_DEFINITION`
`static int` | `BACKUP_CLONE_DELETED`
`static int` | `BACKUP_CLONE_IS_ORIGINAL_FROM_PARENT`
`static int` | `BACKUP_CLONE_IS_ORIGINAL_FROM_SELF`
`static int` | `BATCH_READING_NOT_SUPPORTED`
`static int` | `BATCH_READING_NOT_SUPPORTED_WITH_CALL`
`static int` | `CALLED_METHOD_THREW_EXCEPTION`
`static int` | `CANNOT_ACCESS_METHOD_ON_OBJECT`
`static int` | `CANNOT_ADD_ELEMENT`
`static int` | `CANNOT_ADD_TO_CONTAINER`
`static int` | `CANNOT_CACHE_CURSOR_RESULTS_ON_QUERY`
`static int` | `CANNOT_CACHE_ISOLATED_DATA_ON_QUERY`
`static int` | `CANNOT_CACHE_PARTIAL_OBJECT`
`static int` | `CANNOT_COMPARE_TABLES_IN_EXPRESSION`
`static int` | `CANNOT_COMPARE_TARGET_FOREIGN_KEYS_TO_NULL`
`static int` | `CANNOT_CONFORM_AND_CACHE_QUERY_RESULTS`
`static int` | `CANNOT_CONFORM_EXPRESSION`
`static int` | `CANNOT_CONFORM_UNFETCHED_ATTRIBUTE`
`static int` | `CANNOT_CREATE_CLONE`
`static int` | `CANNOT_DELETE_READ_ONLY_OBJECT`
`static int` | `CANNOT_QUERY_ACROSS_VARIABLE_ONE_TO_ONE_MAPPING`
`static int` | `CANNOT_REMOVE_FROM_CONTAINER`
`static int` | `CANNOT_SET_REPORT_QUERY_TO_CHECK_CACHE_ONLY`
`static int` | `CLASS_PK_DOES_NOT_EXIST_IN_CACHE`
`static int` | `CLEAR_QUERY_RESULTS_NOT_SUPPORTED`
`static int` | `CLONE_METHOD_INACCESSIBLE`
`static int` | `CLONE_METHOD_REQUIRED`
`static int` | `CLONE_METHOD_THORW_EXCEPTION`
`static int` | `COULD_NOT_INSTANTIATE_CONTAINER_CLASS`
`static int` | `DESCRIPTOR_IS_MISSING`
`static int` | `DESCRIPTOR_IS_MISSING_FOR_NAMED_QUERY`
`static int` | `EXAMPLE_AND_REFERENCE_OBJECT_CLASS_MISMATCH`
`static int` | `FETCH_GROUP_ATTRIBUTE_NOT_MAPPED`
`static int` | `FETCH_GROUP_NOT_SUPPORT_ON_PARTIAL_ATTRIBUTE_READING`
`static int` | `FETCH_GROUP_NOT_SUPPORT_ON_REPORT_QUERY`
`static int` | `FETCHGROUP_VALID_ONLY_IF_FETCHGROUP_MANAGER_IN_DESCRIPTOR`
`static int` | `HISTORICAL_QUERIES_MUST_PRESERVE_GLOBAL_CACHE`
`static int` | `HISTORICAL_QUERIES_ONLY_SUPPORTED_ON_ORACLE`
`static int` | `ILL_FORMED_EXPRESSION`
`static int` | `ILLEGAL_USE_OF_GETFIELD`
`static int` | `ILLEGAL_USE_OF_GETTABLE`
`static int` | `IN_CANNOT_BE_PARAMETERIZED`
`static int` | `INCORRECT_CLASS_FOR_OBJECT_COMPARISON`
`static int` | `INCORRECT_QUERY_FOUND`
`static int` | `INCORRECT_SIZE_QUERY_FOR_CURSOR_STREAM`
`static int` | `INHERITANCE_WITH_MULTIPLE_TABLES_NOT_SUPPORTED`
`static int` | `INVALID_BUILDER_IN_QUERY`
`static int` | `INVALID_CONTAINER_CLASS`
`static int` | `INVALID_DATABASE_ACCESSOR`
`static int` | `INVALID_DATABASE_CALL`
`static int` | `INVALID_EXPRESSION`
`static int` | `INVALID_OPERATION`
`static int` | `INVALID_OPERATOR`
`static int` | `INVALID_OPERATOR_FOR_OBJECT_EXPRESSION`
`static int` | `INVALID_QUERY`
`static int` | `INVALID_QUERY_ITEM`
`static int` | `INVALID_QUERY_KEY_IN_EXPRESSION`
`static int` | `INVALID_QUERY_ON_HISTORICAL_SESSION`
`static int` | `INVALID_QUERY_ON_SERVER_SESSION`
`static int` | `INVALID_TABLE_FOR_FIELD_IN_EXPRESSION`
`static int` | `INVALID_USE_OF_ANY_OF_IN_EXPRESSION`
`static int` | `INVALID_USE_OF_TO_MANY_QUERY_KEY_IN_EXPRESSION`
`static int` | `ISOLATED_QUERY_EXECUTED_ON_SERVER_SESSION`
`static int` | `JOINING_ACROSS_INHERITANCE_WITH_MULTIPLE_TABLES`
`static int` | `MAP_KEY_NOT_COMPARABLE`
`static int` | `MAPPING_FOR_EXPRESSION_DOES_NOT_SUPPORT_JOINING`
`static int` | `METHOD_DOES_NOT_EXIST_IN_CONTAINER_CLASS`
`static int` | `METHOD_DOES_NOT_EXIST_ON_EXPRESSION`
`static int` | `METHOD_INVOCATION_FAILED`
`static int` | `METHOD_NOT_VALID`
`static int` | `MULTIPLE_ROWS_DETECTED_FROM_SINGLE_OBJECT_READ`
`static int` | `MUST_BE_ONE_TO_ONE_OR_ONE_TO_MANY_MAPPING` Deprecated. since 10.1.3, no direct replacement API.
`static int` | `MUST_INSTANTIATE_VALUEHOLDERS`
`static int` | `MUST_USE_CURSOR_STREAM_POLICY`
`static int` | `NO_ATTRIBUTES_FOR_REPORT_QUERY`
`static int` | `NO_CALL_OR_INTERACTION_SPECIFIED`
`static int` | `NO_CONCRETE_CLASS_INDICATED`
`static int` | `NO_CURSOR_SUPPORT`
`static int` | `NO_DESCRIPTOR_FOR_SUBCLASS`
`static int` | `NO_EXPRESSION_BUILDER_CLASS_FOUND`
`static int` | `NULL_PRIMARY_KEY_IN_BUILDING_OBJECT`
`static int` | `OBJECT_COMPARISON_CANNOT_BE_PARAMETERIZED`
`static int` | `OBJECT_DOES_NOT_EXIST_IN_CACHE`
`static int` | `OBJECT_TO_INSERT_IS_EMPTY`
`static int` | `OBJECT_TO_MODIFY_NOT_SPECIFIED`
`static int` | `OUTER_JOIN_ONLY_VALID_FOR_ONE_TO_ONE`
`static int` | `PARAMETER_NAME_MISMATCH`
`static int` | `QUERY_FETCHGROUP_NOT_DEFINED_IN_DESCRIPTOR`
`static int` | `QUERY_NOT_DEFINED`
`static int` | `QUERY_SENT_TO_INACTIVE_UNIT_OF_WORK`
`static int` | `READ_BEYOND_QUERY`
`static int` | `REDIRECTION_CLASS_OR_METHOD_NOT_SET`
`static int` | `REDIRECTION_METHOD_ERROR`
`static int` | `REDIRECTION_METHOD_NOT_DEFINED_CORRECTLY`
`static int` | `REFERENCE_CLASS_MISSING`
`static int` | `REFLECTIVE_CALL_ON_TOPLINK_CLASS_FAILED`
`static int` | `REFRESH_NOT_POSSIBLE_WITH_CHECK_CACHE_ONLY`
`static int` | `REFRESH_NOT_POSSIBLE_WITHOUT_CACHE`
`static int` | `REPORT_QUERY_RESULT_SIZE_MISMATCH`
`static int` | `REPORT_RESULT_WITHOUT_PKS`
`static int` | `SELECTION_OBJECT_CANNOT_BE_NULL`
`static int` | `SIZE_ONLY_SUPPORTED_ON_EXPRESSION_QUERIES`
`static int` | `SPECIFIED_PARTIAL_ATTRIBUTE_DOES_NOT_EXIST`
`static int` | `SQL_STATEMENT_NOT_SET_PROPERLY`
`static int` | `TYPE_MISMATCH_BETWEEN_ATTRIBUTE_AND_CONSTANT_ON_EXPRESSION`
`static int` | `UNEXPECTED_INVOCATION`
`static int` | `UNNAMED_QUERY_ON_SESSION_BROKER`
`static int` | `UNSUPPORTED_MAPPING_FOR_OBJECT_COMPARISON`
`static int` | `UPDATE_STATEMENTS_NOT_SPECIFIED`

Fields inherited from class oracle.toplink.exceptions.ValidationException
`ALREADY_LOGGED_IN, ANNOTATIONS_CONFLICT, ASSOCIATION_TABLE_ANNOTATION_NOT_FOUND, ATTRIBUTE_OVERRIDE_COLUMNS_NOT_SPECIFIED, CANNOT_ACQUIRE_CLIENTSESSION_FROM_SESSION, CANNOT_ACQUIRE_DATA_SOURCE, CANNOT_ACQUIRE_HISTORICAL_SESSION, CANNOT_ADD_DESCRIPTORS_TO_SESSION, CANNOT_ADD_DESCRIPTORS_TO_SESSION_BROKER, CANNOT_CAST_TO_CLASS, CANNOT_COMMIT_AND_RESUME_UOW_WITH_UPDATE_ALL_QUERIES, CANNOT_COMMIT_UOW_AGAIN, CANNOT_CREATE_EXTERNAL_TRANSACTION_CONTROLLER, CANNOT_INVOKE_METHOD_ON_CONFIG_CLASS, CANNOT_LOGIN_TO_A_SESSION, CANNOT_LOGOUT_OF_A_SESSION, CANNOT_MODIFY_READ_ONLY_CLASSES_SET_AFTER_USING_UNIT_OF_WORK, CANNOT_MODIFY_SCHEMA_IN_SESSION, CANNOT_REGISTER_AGGREGATE_OBJECT_IN_UNIT_OF_WORK, CANNOT_RELEASE_NON_CLIENTSESSION, CANNOT_REMOVE_FROM_READ_ONLY_CLASSES_IN_NESTED_UNIT_OF_WORK, CANNOT_RESUME_SYNCHRONIZED_UOW, CANNOT_SET_CURSOR_FOR_PARAMETER_TYPE_OTHER_THAN_OUT, CANNOT_SET_DEFAULT_SEQUENCE_AS_DEFAULT, CANNOT_SET_READ_POOL_SIZE_AFTER_LOGIN, CANNOT_TRANSLATE_UNPREPARED_CALL, CANNOT_WRITE_CHANGES_ON_NESTED_UNIT_OF_WORK, CANNOT_WRITE_CHANGES_TWICE, CANT_HAVE_UNBOUND_IN_OUTPUT_ARGUMENTS, CHILD_DESCRIPTORS_DO_NOT_HAVE_IDENTITY_MAP, CLASS_FILE_TRANSFORMER_THROWS_EXCEPTION, CLASS_LIST_MUST_NOT_BE_NULL, CLIENT_SESSION_CANNOT_USE_EXCLUSIVE_CONNECTION, CONFIG_FACTORY_NAME_PROPERTY_NOT_FOUND, CONFIG_FACTORY_NAME_PROPERTY_NOT_SPECIFIED, CONFIG_METHOD_NOT_DEFINED, CONTAINER_POLICY_DOES_NOT_USE_KEYS, COULD_NOT_BIND_JNDI, COULD_NOT_FIND_DRIVER_CLASS, CREATE_PLATFORM_DEFAULT_SEQUENCE_UNDEFINED, CURRENT_LOADER_NOT_VALID, DEFAULT_SEQUENCE_NAME_ALREADY_USED_BY_SEQUENCE, DESCRIPTOR_MUST_NOT_BE_INITIALIZED, EJB_CANNOT_LOAD_REMOTE_CLASS, EJB_CONTAINER_EXCEPTION_RAISED, EJB_DESCRIPTOR_NOT_FOUND_IN_SESSION, EJB_FINDER_EXCEPTION, EJB_INVALID_FINDER_ON_HOME, EJB_INVALID_PLATFORM_CLASS, EJB_INVALID_PROJECT_CLASS, EJB_INVALID_SESSION_TYPE_CLASS, EJB_MUST_BE_IN_TRANSACTION, EJB_NO_SUCH_SESSION_SPECIFIED_IN_PROPERTIES, EJB_PRIMARY_KEY_REFLECTION_EXCEPTION, EJB_SESSION_TYPE_CLASS_NOT_FOUND, EJB_TOPLINK_PROPERTIES_NOT_FOUND, EMBEDDED_ID_AND_ID_ANNOTATIONS_FOUND, ENTITY_CLASS_NOT_FOUND, ERROR_CLOSING_PERSISTENCE_XML, ERROR_DECRYPTING_PASSWORD, ERROR_ENCRYPTING_PASSWORD, ERROR_IN_SESSION_XML, ERROR_INSTANTIATING_ENTITY_LISTENER, ERROR_PROCESSING_NAMED_QUERY_ANNOTATION, EXCEPTION_CONFIGURING_EM_FACTORY, EXCLUSIVE_CONNECTION_NO_LONGER_AVAILABLE, EXISTING_QUERY_TYPE_CONFLICT, FATAL_ERROR_OCCURRED, FEATURE_NOT_SUPPORTED_IN_JDK_VERSION, FIELD_LEVEL_LOCKING_NOTSUPPORTED_OUTSIDE_A_UNIT_OF_WORK, FILE_ERROR, FLUSH_MODE_NOT_SUPPORTED, HISTORICAL_SESSION_ONLY_SUPPORTED_ON_ORACLE, ID_ANNOTATION_CANNOT_SPECIFY_GENERATOR, ILLEGAL_CONTAINER_CLASS, ILLEGAL_USE_OF_MAP_IN_DIRECTCOLLECTION, INACTIVE_UNIT_OF_WORK, INCORRECT_LOGIN_INSTANCE_PROVIDED, INVALID_ANNOTATION_SPECIFIED, INVALID_CALLBACK_METHOD, INVALID_CLASS_TYPE_FOR_LOB_ANNOTATION, INVALID_COLUMN_ANNOTATION_ON_RELATIONSHIP, INVALID_COMPOSITE_PK_SPECIFICATION, INVALID_CONNECTOR, INVALID_DATA_SOURCE_NAME, INVALID_EMBEDDABLE_ATTRIBUTE, INVALID_ENCRYPTION_CLASS, INVALID_ENTITY_CALLBACK_METHOD_ARGUMENTS, INVALID_ENTITY_LISTENER_CALLBACK_METHOD_ARGUMENTS, INVALID_FETCH_LAZY_TYPE, INVALID_FILE_TYPE, INVALID_MERGE_POLICY, INVALID_METHOD_ARGUMENTS, INVALID_NAMED_QUERY_ANNOTATION_NAME, INVALID_NULL_METHOD_ARGUMENTS, INVALID_READ_ONLY_CLASS_STRUCTURE_IN_UNIT_OF_WORK, INVALID_SEQUENCING_LOGIN, ISOLATED_DATA_NOT_SUPPORTED_IN_CLIENTSESSIONBROKER, JAR_FILES_IN_PERSISTENCE_XML_NOT_SUPPORTED, JAVA_TYPE_IS_NOT_A_VALID_DATABASE_TYPE, JTS_EXCEPTION_RAISED, KEYS_MUST_MATCH, LOG_IO_ERROR, LOGIN_BEFORE_ALLOCATING_CLIENT_SESSIONS, MAX_SIZE_LESS_THAN_MIN_SIZE, METHOD_FAILED, METHOD_NOT_DECLARED_IN_ITEM_CLASS, MISSING_DESCRIPTOR, MISSING_MAPPING, MULTIPLE_CURSORS_NOT_SUPPORTED, MULTIPLE_EMBEDDED_ID_ANNOTATIONS_FOUND, MULTIPLE_PROJECTS_SPECIFIED_IN_PROPERTIES, NAME_AND_REF_NAME_MUST_BE_SPECIFIED, NAMED_QUERY_ALREADY_EXISTS, NESTED_UOW_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING, NESTED_UOW_NOT_SUPPORTED_FOR_UPDATE_ALL_QUERY, NO_CORRESPONDING_SETTER_METHOD_DEFINED, NO_MAPPED_BY_ATTRIBUTE_FOUND, NO_PK_ANNOTATIONS_FOUND, NO_PROJECT_SPECIFIED_IN_PROPERTIES, NO_PROPERTIES_FILE_FOUND, NO_SESSION_FOUND, NO_SESSION_REGISTERED_FOR_CLASS, NO_SESSION_REGISTERED_FOR_NAME, NO_SESSIONS_XML_FOUND, NO_TABLES_TO_CREATE, NO_TOPLINK_EJB_JAR_XML_FOUND, NOT_SUPPORTED_FOR_DATASOURCE, NULL_CACHE_KEY_FOUND_ON_REMOVAL, NULL_PK_IN_UOW_CLONE, NULL_UNDERLYING_VALUEHOLDER_VALUE, OBJECT_NEED_IMPL_TRACKER_FOR_FETCH_GROUP_USAGE, OLD_COMMIT_NOT_SUPPORTED_FOR_ATTRIBUTE_TRACKING, ONE_TO_MANY_HAS_BOTH_ASSOCIATIONTABLE_AND_JOINCOLUMN_ANNOTATIONS, ONLY_FIELDS_ARE_VALID_KEYS_FOR_DATABASE_ROWS, OPERATION_NOT_SUPPORTED, OPTIMISTIC_LOCKING_NOT_SUPPORTED, ORACLE_OBJECT_TYPE_NAME_NOT_DEFINED, ORACLE_OBJECT_TYPE_NOT_DEFINED, ORACLE_VARRAY_MAXIMIM_SIZE_NOT_DEFINED, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_INT_PROXYTYPE, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION, ORACLEJDBC10_1_0_2PROXYCONNECTOR_REQUIRES_ORACLECONNECTION_VERSION, ORACLEOCIPROXYCONNECTOR_REQUIRES_ORACLEOCICONNECTIONPOOL, PLATFORM_CLASS_NOT_FOUND, PLATFORM_DOES_NOT_SUPPORT_CALL_WITH_RETURNING, PLATFORM_DOES_NOT_SUPPORT_SEQUENCE, PLATFORM_DOES_NOT_SUPPORT_STORED_FUNCTIONS, POOL_NAME_DOES_NOT_EXIST, POOLS_MUST_BE_CONFIGURED_BEFORE_LOGIN, PROJECT_AMENDMENT_EXCEPTION_OCCURED, PROJECT_LOGIN_IS_NULL, PROJECT_XML_NOT_FOUND, QUERY_ARGUMENT_TYPE_NOT_FOUND, QUERY_SEQUENCE_DOES_NOT_HAVE_SELECT_QUERY, RESERVED_NAME, SEQUENCE_CANNOT_BE_CONNECTED_TO_TWO_PLATFORMS, SEQUENCE_NAME_ALREADY_USED_BY_DEFAULT_SEQUENCE, SEQUENCE_SETUP_INCORRECTLY, SERVER_PLATFORM_IS_READ_ONLY_AFTER_LOGIN, SESSION_AMENDMENT_EXCEPTION_OCCURED, SET_LISTENER_CLASSES_EXCEPTION, START_INDEX_OUT_OF_RANGE, STOP_INDEX_OUT_OF_RANGE, SUB_SESSION_NOT_DEFINED_FOR_BROKER, TABLE_PER_CLASS_INHERITANCE_NOT_SUPPORTED, UNABLE_TO_LOAD_CLASS, UNFETCHED_ATTRIBUTE_NOT_EDITABLE, UNIT_OF_WORK_AFTER_WRITE_CHANGES_FAILED, UNIT_OF_WORK_IN_TRANSACTION_COMMIT_PENDING, UNSUPPORTED_CASCADE_LOCKING_DESCRIPTOR, UNSUPPORTED_CASCADE_LOCKING_MAPPING, UNSUPPORTED_CASCADE_LOCKING_MAPPING_WITH_CUSTOM_QUERY, UPDATE_ALL_QUERIES_NOT_SUPPORTED_WITH_OTHER_WRITES, WRITE_OBJECT_NOT_ALLOWED_IN_UNIT_OF_WORK, WRONG_CHANGE_EVENT, WRONG_COLLECTION_CHANGE_EVENT_TYPE, WRONG_OBJECT_REGISTERED, WRONG_PROPERTY_NAME_IN_CHANGE_EVENT, WRONG_SEQUENCE_TYPE, WRONG_USAGE_OF_SET_CUSTOM_SQL_ARGUMENT_TYPE_METOD`

Method Summary
`static QueryException` | `additionalSizeQueryNotSpecified(DatabaseQuery query)`
`static QueryException` | `aggregateObjectCannotBeDeletedOrWritten(Descriptor descriptor, DatabaseQuery query)`
`static QueryException` | `argumentSizeMismatchInQueryAndQueryDefinition(DatabaseQuery query)`
`static QueryException` | `backupCloneIsDeleted(java.lang.Object clone)`
`static QueryException` | `backupCloneIsOriginalFromParent(java.lang.Object clone)`
`static QueryException` | `backupCloneIsOriginalFromSelf(java.lang.Object clone)`
`static QueryException` | `batchReadingNotSupported(DatabaseMapping mapping, DatabaseQuery query)`
`static QueryException` | `batchReadingNotSupported(DatabaseQuery query)`
`static QueryException` | `calledMethodThrewException(java.lang.reflect.Method aMethod, java.lang.Object object, java.lang.Exception ex)`
`static ValidationException` | `cannotAccessMethodOnObject(java.lang.reflect.Method aMethod, java.lang.Object anObject)`
`static QueryException` | `cannotAddElement(java.lang.Object anObject, java.lang.Object aContainer, java.lang.Exception ex)`
`static QueryException` | `cannotAddToContainer(java.lang.Object anObject, java.lang.Object aContainer, ContainerPolicy policy)`
`static QueryException` | `cannotCacheCursorResultsOnQuery(DatabaseQuery query)`
`static QueryException` | `cannotCacheIsolatedDataOnQuery(DatabaseQuery query)`
`static QueryException` | `cannotCachePartialObjects(DatabaseQuery query)`
`static QueryException` | `cannotCompareTablesInExpression(java.lang.Object data)`
`static QueryException` | `cannotCompareTargetForeignKeysToNull(Expression expression, java.lang.Object value, DatabaseMapping mapping)`
`static QueryException` | `cannotConformAndCacheQueryResults(ReadQuery query)`
`static QueryException` | `cannotConformExpression()`
`static QueryException` | `cannotConformUnfetchedAttribute(java.lang.String attrbuteName)`
`static QueryException` | `cannotCreateClone(ContainerPolicy policy, java.lang.Object anObject)`
`static QueryException` | `cannotDeleteReadOnlyObject(java.lang.Object anObject)`
`static QueryException` | `cannotQueryAcrossAVariableOneToOneMapping(DatabaseMapping mapping, Descriptor descriptor)`
`static QueryException` | `cannotRemoveFromContainer(java.lang.Object anObject, java.lang.Object aContainer, ContainerPolicy policy)`
`static QueryException` | `cannotSetShouldCheckCacheOnlyOnReportQuery()`
`static QueryException` | `classPkDoesNotExistInCache(java.lang.Class theClass, java.util.Vector primaryKey)`
`static QueryException` | `clearQueryResultsNotSupported(ReadQuery query)`
`static QueryException` | `cloneMethodInaccessible()`
`static QueryException` | `cloneMethodRequired()`
`static QueryException` | `cloneMethodThrowException(java.lang.Throwable exception)`
`static QueryException` | `couldNotInstantiateContainerClass(java.lang.Class aClass, java.lang.Exception exception)`
`static QueryException` | `descriptorIsMissing(java.lang.Class referenceClass, DatabaseQuery query)`
`static QueryException` | `descriptorIsMissingForNamedQuery(java.lang.Class domainClass, java.lang.String queryName)`
`static QueryException` | `exampleAndReferenceObjectClassMismatch(java.lang.Class exampleObjectClass, java.lang.Class referenceObjectClass, DatabaseQuery query)` Oct 18, 2000 JED Added this method and exception value
`static QueryException` | `fetchGroupAttributeNotMapped(java.lang.String attrbuteName)`
`static QueryException` | `fetchGroupNotDefinedInDescriptor(java.lang.String fetchGroupName)`
`static QueryException` | `fetchGroupNotSupportOnPartialAttributeReading()`
`static QueryException` | `fetchGroupNotSupportOnReportQuery()`
`static QueryException` | `fetchGroupValidOnlyIfFetchGroupManagerInDescriptor(java.lang.String descriptorName, java.lang.String queryName)`
`java.lang.String` | `getMessage()` PUBLIC: Return the exception error message.
`DatabaseQuery` | `getQuery()` PUBLIC: Return the query in which the problem was detected.
`DatabaseRow` | `getQueryArguments()` Deprecated. Replaced by `getQueryArgumentsRecord()`
`Record` | `getQueryArgumentsRecord()` PUBLIC: Return the query argements used in the original query when exception is thrown
`static QueryException` | `historicalQueriesMustPreserveGlobalCache()`
`static QueryException` | `historicalQueriesOnlySupportedOnOracle()`
`static QueryException` | `illegalUseOfGetField(java.lang.Object data)`
`static QueryException` | `illegalUseOfGetTable(java.lang.Object data)`
`static QueryException` | `illFormedExpression(Expression queryKey)`
`static QueryException` | `inCannotBeParameterized(DatabaseQuery query)`
`static QueryException` | `incorrectClassForObjectComparison(Expression expression, java.lang.Object value, DatabaseMapping mapping)`
`static QueryException` | `incorrectQueryObjectFound(DatabaseQuery query, java.lang.Class expectedQueryClass)`
`static QueryException` | `incorrectSizeQueryForCursorStream(DatabaseQuery query)`
`static QueryException` | `inheritanceWithMultipleTablesNotSupported()`
`static QueryException` | `invalidBuilderInQuery(DatabaseQuery query)`
`static QueryException` | `invalidContainerClass(java.lang.Class containerGiven, java.lang.Class containerRequired)`
`static QueryException` | `invalidDatabaseAccessor(oracle.toplink.internal.databaseaccess.Accessor accessor)`
`static QueryException` | `invalidDatabaseCall(Call call)`
`static QueryException` | `invalidExpression(java.lang.Object expression)`
`static QueryException` | `invalidExpressionForQueryItem(Expression expression, DatabaseQuery owner)`
`static QueryException` | `invalidOperation(java.lang.String operation)`
`static QueryException` | `invalidOperator(java.lang.Object data)`
`static QueryException` | `invalidOperatorForObjectComparison(Expression expression)`
`static QueryException` | `invalidQuery(DatabaseQuery query)`
`static QueryException` | `invalidQueryKeyInExpression(java.lang.Object data)`
`static QueryException` | `invalidQueryOnHistoricalSession(DatabaseQuery query)`
`static QueryException` | `invalidQueryOnServerSession(DatabaseQuery query)`
`static QueryException` | `invalidTableForFieldInExpression(java.lang.Object data)`
`static QueryException` | `invalidUseOfAnyOfInExpression(java.lang.Object data)`
`static QueryException` | `invalidUseOfToManyQueryKeyInExpression(java.lang.Object data)`
`static QueryException` | `isolatedQueryExecutedOnServerSession()`
`static QueryException` | `joiningAcrossInheritanceClassWithMultipleTablesNotSupported(DatabaseQuery query, java.lang.Class joinClass)`
`static ValidationException` | `mapKeyNotComparable(java.lang.Object anObject, java.lang.Object aContainer)`
`static QueryException` | `mappingForExpressionDoesNotSupportJoining(java.lang.Object expression)`
`static QueryException` | `methodDoesNotExistInContainerClass(java.lang.String methodName, java.lang.Class aClass)`
`static QueryException` | `methodDoesNotExistOnExpression(java.lang.String methodName, java.lang.Class[] argTypes)`
`static QueryException` | `methodInvocationFailed(java.lang.reflect.Method aMethod, java.lang.Object anObject, java.lang.Exception ex)`
`static QueryException` | `methodNotValid(java.lang.Object aReceiver, java.lang.String methodName)`
`static QueryException` | `multipleRowsDetectedFromReadObjectQuery()`
`static QueryException` | `mustInstantiateValueholders()`
`static QueryException` | `mustUseCursorStreamPolicy()`
`static QueryException` | `noAttributesForReportQuery(DatabaseQuery query)` Oct 19, 2000 JED Added this method and exception value
`static QueryException` | `noCallOrInteractionSpecified()`
`static QueryException` | `noConcreteClassIndicated(DatabaseRow row, DatabaseQuery query)`
`static QueryException` | `noCursorSupport(DatabaseQuery query)`
`static QueryException` | `noDescriptorForClassFromInheritancePolicy(DatabaseQuery query, java.lang.Class referenceClass)`
`static QueryException` | `noExpressionBuilderFound(Expression expression)`
`static QueryException` | `nullPrimaryKeyInBuildingObject(DatabaseQuery query, DatabaseRow databaseRow)`
`static QueryException` | `objectComparisonsCannotBeParameterized(Expression expression)`
`static QueryException` | `objectDoesNotExistInCache(java.lang.Object object)`
`static QueryException` | `objectToInsertIsEmpty(DatabaseTable table)`
`static QueryException` | `objectToModifyNotSpecified(DatabaseQuery query)`
`static QueryException` | `outerJoinIsOnlyValidForOneToOneMappings(DatabaseMapping mapping)`
`static QueryException` | `parameterNameMismatch(java.lang.String badParameterName)`
`static QueryException` | `queryNotDefined()`
`static QueryException` | `queryNotDefined(java.lang.String queryName)`
`static QueryException` | `queryNotDefined(java.lang.String queryName, java.lang.Class domainClass)`
`static QueryException` | `querySentToInactiveUnitOfWork(DatabaseQuery query)`
`static QueryException` | `readBeyondStream(DatabaseQuery query)`
`static QueryException` | `redirectionClassOrMethodNotSet(DatabaseQuery query)`
`static QueryException` | `redirectionMethodError(java.lang.Exception exception, DatabaseQuery query)`
`static QueryException` | `redirectionMethodNotDefinedCorrectly(java.lang.Class methodClass, java.lang.String methodName, java.lang.Exception exception, DatabaseQuery query)`
`static QueryException` | `referenceClassMissing(DatabaseQuery query)`
`static QueryException` | `reflectiveCallOnTopLinkClassFailed(java.lang.String className, java.lang.Exception e)`
`static QueryException` | `refreshNotPossibleWithCheckCacheOnly(DatabaseQuery query)`
`static QueryException` | `refreshNotPossibleWithoutCache(DatabaseQuery query)`
`static QueryException` | `reportQueryResultSizeMismatch(int expected, int retrieved)`
`static QueryException` | `reportQueryResultWithoutPKs(ReportQueryResult result)`
`static QueryException` | `selectionObjectCannotBeNull(DatabaseQuery query)`
`static QueryException` | `sizeOnlySupportedOnExpressionQueries(DatabaseQuery query)`
`static QueryException` | `specifiedPartialAttributeDoesNotExist(DatabaseQuery query, java.lang.String attributeName, java.lang.String targetClassName)`
`static QueryException` | `sqlStatementNotSetProperly(DatabaseQuery query)`
`static QueryException` | `typeMismatchBetweenAttributeAndConstantOnExpression(java.lang.Class constantClass, java.lang.Class attributeClass)`
`static QueryException` | `unexpectedInvocation(java.lang.String message)`
`static QueryException` | `unnamedQueryOnSessionBroker(DatabaseQuery query)`
`static QueryException` | `unsupportedMappingForObjectComparison(DatabaseMapping mapping, Expression expression)`
`static QueryException` | `updateStatementsNotSpecified()`

Methods inherited from class oracle.toplink.exceptions.ValidationException
`alreadyLoggedIn, annotationsConflict, associationTableAnnotationNotFound, attributeOverrideColumnsNotSpecified, cannotAcquireClientSessionFromSession, cannotAcquireDataSource, cannotAcquireHistoricalSession, cannotAddDescriptorsToSessionBroker, cannotCastToClass, cannotCommitAndResumeSynchronizedUOW, cannotCommitAndResumeUOWWithUpdateAllQueries, cannotCommitUOWAgain, cannotCreateExternalTransactionController, cannotHaveUnboundInOutputArguments, cannotInvokeMethodOnConfigClass, cannotIssueUpdateAllQueryWithOtherWritesWithinUOW, cannotModifyReadOnlyClassesSetAfterUsingUnitOfWork, cannotRegisterAggregateObjectInUnitOfWork, cannotReleaseNonClientSession, cannotRemoveFromReadOnlyClassesInNestedUnitOfWork, cannotSetCursorForParameterTypeOtherThanOut, cannotSetDefaultSequenceAsDefault, cannotSetListenerClasses, cannotSetReadPoolSizeAfterLogin, cannotTranslateUnpreparedCall, cannotWriteChangesTwice, childDescriptorsDoNotHaveIdentityMap, classFileTransformerThrowsException, classListMustNotBeNull, clientSessionCanNotUseExclusiveConnection, configFactoryNamePropertyNotFound, configFactoryNamePropertyNotSpecified, configMethodNotDefined, containerPolicyDoesNotUseKeys, couldNotBindJndi, couldNotFindDriverClass, createPlatformDefaultSequenceUndefined, currentLoaderNotValid, defaultSequenceNameAlreadyUsedBySequence, descriptorMustBeNotInitialized, ejbCannotLoadRemoteClass, ejbContainerExceptionRaised, ejbDescriptorNotFoundInSession, ejbFinderException, ejbInvalidHomeInterfaceClass, ejbInvalidPlatformClass, ejbInvalidProjectClass, ejbInvalidSessionTypeClass, ejbMustBeInTransaction, ejbNoSuchSessionSpecifiedInProperties, ejbPrimaryKeyReflectionException, ejbSessionTypeClassNotFound, ejbTopLinkPropertiesNotFound, embeddedIdAndIdAnnotationFound, entityClassNotFound, errorClosingPersistenceXML, errorDecryptingPassword, errorEncryptingPassword, errorInSessionsXML, errorInstantiatingEntityListener, errorProcessingNamedQueryAnnotation, exceptionConfiguringEMFactory, excusiveConnectionIsNoLongerAvailable, existingQueryTypeConflict, fatalErrorOccurred, featureIsNotAvailableInRunningJDKVersion, fieldLevelLockingNotSupportedWithoutUnitOfWork, fileError, flushModeNotSupported, historicalSessionOnlySupportedOnOracle, idAnnotationCannotSpecifyGenerator, illegalContainerClass, illegalOperationForUnitOfWorkLifecycle, illegalUseOfMapInDirectCollection, inActiveUnitOfWork, incorrectLoginInstanceProvided, invalidAnnotationSpecified, invalidCallbackMethod, invalidClassTypeForLOBAnnotation, invalidColumnAnnotationOnRelationship, invalidCompositePKSpecification, invalidConnector, invalidDataSourceName, invalidEmbeddableAttribute, invalidEncryptionClass, invalidEntityCallbackMethodArguments, invalidEntityListenerCallbackMethodArguments, invalidFetchLazyType, invalidFileName, invalidMergePolicy, invalidMethodArguments, invalidNamedQueryAnnotationName, invalidNullMethodArguments, invalidSequencingLogin, isolatedDataNotSupportedInSessionBroker, jarFilesInPersistenceXmlNotSupported, javaTypeIsNotAValidDatabaseType, jtsExceptionRaised, loginBeforeAllocatingClientSessions, logIOError, maxSizeLessThanMinSize, methodFailed, methodNotDeclaredInItemClass, missingDescriptor, missingMappingForAttribute, multipleCursorsNotSupported, multipleEmbeddedIdAnnotationsFound, multipleProjectsSpecifiedInProperties, nameAndReferenceNameMustBeSpecified, namedQueryAlreadyExists, nestedUOWNotSupportedForAttributeTracking, nestedUOWNotSupportedForUpdateAllQuery, noCorrespondingSetterMethodDefined, noMappedByAttributeFound, noPrimaryKeyAnnotationsFound, noProjectSpecifiedInProperties, noPropertiesFileFound, noSessionFound, noSessionRegisteredForClass, noSessionRegisteredForName, noSessionsXMLFound, noTablesToCreate, noTopLinkEjbJarXMLFound, notSupportedForDatasource, nullCacheKeyFoundOnRemoval, nullPrimaryKeyInUnitOfWorkClone, nullUnderlyingValueHolderValue, objectNeedImplTrackerForFetchGroupUsage, oldCommitNotSupportedForAttributeTracking, oneToManyHasBothAssociationTableAndJoinColumnAnnotations, onlyFieldsAreValidKeysForDatabaseRows, operationNotSupported, optimisticLockingNotSupportedWithStoredProcedureGeneration, oracleJDBC10_1_0_2ProxyConnectorRequiresIntProxytype, oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnection, oracleJDBC10_1_0_2ProxyConnectorRequiresOracleConnectionVersion, oracleObjectTypeIsNotDefined, oracleObjectTypeNameIsNotDefined, oracleOCIProxyConnectorRequiresOracleOCIConnectionPool, oracleVarrayMaximumSizeNotDefined, platformClassNotFound, platformDoesNotSupportCallWithReturning, platformDoesNotSupportSequence, platformDoesNotSupportStoredFunctions, poolNameDoesNotExist, poolsMustBeConfiguredBeforeLogin, projectAmendmentExceptionOccured, projectLoginIsNull, projectXMLNotFound, queryArgumentTypeNotFound, querySequenceDoesNotHaveSelectQuery, reservedName, sequenceCannotBeConnectedToTwoPlatforms, sequenceNameAlreadyUsedByDefaultSequence, sequenceSetupIncorrectly, serverPlatformIsReadOnlyAfterLogin, sessionAmendmentExceptionOccured, startIndexOutOfRange, stopIndexOutOfRange, subSessionsNotDefinedForBroker, tablePerClassInheritanceNotSupported, unableToLoadClass, unfetchedAttributeNotEditable, unitOfWorkAfterWriteChangesFailed, unitOfWorkInTransactionCommitPending, unitOfWorkInTransactionCommitPending, unsupportedCascadeLockingDescriptor, unsupportedCascadeLockingMapping, unsupportedCascadeLockingMappingWithCustomQuery, writeChangesOnNestedUnitOfWork, writeObjectNotAllowedInUnitOfWork, wrongChangeEvent, wrongCollectionChangeEventType, wrongObjectRegistered, wrongPropertyNameInChangeEvent, wrongSequenceType, wrongUsageOfSetCustomArgumentTypeMethod`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADDITIONAL_SIZE_QUERY_NOT_SPECIFIED

    public static final int ADDITIONAL_SIZE_QUERY_NOT_SPECIFIED

  See Also:
    Constant Field Values

### AGGREGATE_OBJECT_CANNOT_BE_DELETED

    public static final int AGGREGATE_OBJECT_CANNOT_BE_DELETED

  See Also:
    Constant Field Values

### ARGUMENT_SIZE_MISMATCH_IN_QUERY_AND_QUERY_DEFINITION

    public static final int ARGUMENT_SIZE_MISMATCH_IN_QUERY_AND_QUERY_DEFINITION

  See Also:
    Constant Field Values

### BACKUP_CLONE_IS_ORIGINAL_FROM_PARENT

    public static final int BACKUP_CLONE_IS_ORIGINAL_FROM_PARENT

  See Also:
    Constant Field Values

### BACKUP_CLONE_IS_ORIGINAL_FROM_SELF

    public static final int BACKUP_CLONE_IS_ORIGINAL_FROM_SELF

  See Also:
    Constant Field Values

### BATCH_READING_NOT_SUPPORTED

    public static final int BATCH_READING_NOT_SUPPORTED

  See Also:
    Constant Field Values

### DESCRIPTOR_IS_MISSING

    public static final int DESCRIPTOR_IS_MISSING

  See Also:
    Constant Field Values

### DESCRIPTOR_IS_MISSING_FOR_NAMED_QUERY

    public static final int DESCRIPTOR_IS_MISSING_FOR_NAMED_QUERY

  See Also:
    Constant Field Values

### INCORRECT_SIZE_QUERY_FOR_CURSOR_STREAM

    public static final int INCORRECT_SIZE_QUERY_FOR_CURSOR_STREAM

  See Also:
    Constant Field Values

### INVALID_QUERY

    public static final int INVALID_QUERY

  See Also:
    Constant Field Values

### INVALID_QUERY_KEY_IN_EXPRESSION

    public static final int INVALID_QUERY_KEY_IN_EXPRESSION

  See Also:
    Constant Field Values

### INVALID_QUERY_ON_SERVER_SESSION

    public static final int INVALID_QUERY_ON_SERVER_SESSION

  See Also:
    Constant Field Values

### NO_CONCRETE_CLASS_INDICATED

    public static final int NO_CONCRETE_CLASS_INDICATED

  See Also:
    Constant Field Values

### NO_CURSOR_SUPPORT

    public static final int NO_CURSOR_SUPPORT

  See Also:
    Constant Field Values

### OBJECT_TO_INSERT_IS_EMPTY

    public static final int OBJECT_TO_INSERT_IS_EMPTY

  See Also:
    Constant Field Values

### OBJECT_TO_MODIFY_NOT_SPECIFIED

    public static final int OBJECT_TO_MODIFY_NOT_SPECIFIED

  See Also:
    Constant Field Values

### QUERY_NOT_DEFINED

    public static final int QUERY_NOT_DEFINED

  See Also:
    Constant Field Values

### QUERY_SENT_TO_INACTIVE_UNIT_OF_WORK

    public static final int QUERY_SENT_TO_INACTIVE_UNIT_OF_WORK

  See Also:
    Constant Field Values

### READ_BEYOND_QUERY

    public static final int READ_BEYOND_QUERY

  See Also:
    Constant Field Values

### REFERENCE_CLASS_MISSING

    public static final int REFERENCE_CLASS_MISSING

  See Also:
    Constant Field Values

### REFRESH_NOT_POSSIBLE_WITHOUT_CACHE

    public static final int REFRESH_NOT_POSSIBLE_WITHOUT_CACHE

  See Also:
    Constant Field Values

### SIZE_ONLY_SUPPORTED_ON_EXPRESSION_QUERIES

    public static final int SIZE_ONLY_SUPPORTED_ON_EXPRESSION_QUERIES

  See Also:
    Constant Field Values

### SQL_STATEMENT_NOT_SET_PROPERLY

    public static final int SQL_STATEMENT_NOT_SET_PROPERLY

  See Also:
    Constant Field Values

### INVALID_QUERY_ITEM

    public static final int INVALID_QUERY_ITEM

  See Also:
    Constant Field Values

### SELECTION_OBJECT_CANNOT_BE_NULL

    public static final int SELECTION_OBJECT_CANNOT_BE_NULL

  See Also:
    Constant Field Values

### UNNAMED_QUERY_ON_SESSION_BROKER

    public static final int UNNAMED_QUERY_ON_SESSION_BROKER

  See Also:
    Constant Field Values

### REPORT_RESULT_WITHOUT_PKS

    public static final int REPORT_RESULT_WITHOUT_PKS

  See Also:
    Constant Field Values

### NULL_PRIMARY_KEY_IN_BUILDING_OBJECT

    public static final int NULL_PRIMARY_KEY_IN_BUILDING_OBJECT

  See Also:
    Constant Field Values

### NO_DESCRIPTOR_FOR_SUBCLASS

    public static final int NO_DESCRIPTOR_FOR_SUBCLASS

  See Also:
    Constant Field Values

### CANNOT_DELETE_READ_ONLY_OBJECT

    public static final int CANNOT_DELETE_READ_ONLY_OBJECT

  See Also:
    Constant Field Values

### INVALID_OPERATOR

    public static final int INVALID_OPERATOR

  See Also:
    Constant Field Values

### ILLEGAL_USE_OF_GETFIELD

    public static final int ILLEGAL_USE_OF_GETFIELD

  See Also:
    Constant Field Values

### ILLEGAL_USE_OF_GETTABLE

    public static final int ILLEGAL_USE_OF_GETTABLE

  See Also:
    Constant Field Values

### REPORT_QUERY_RESULT_SIZE_MISMATCH

    public static final int REPORT_QUERY_RESULT_SIZE_MISMATCH

  See Also:
    Constant Field Values

### CANNOT_CACHE_PARTIAL_OBJECT

    public static final int CANNOT_CACHE_PARTIAL_OBJECT

  See Also:
    Constant Field Values

### OUTER_JOIN_ONLY_VALID_FOR_ONE_TO_ONE

    public static final int OUTER_JOIN_ONLY_VALID_FOR_ONE_TO_ONE

  See Also:
    Constant Field Values

### CANNOT_ADD_TO_CONTAINER

    public static final int CANNOT_ADD_TO_CONTAINER

  See Also:
    Constant Field Values

### METHOD_INVOCATION_FAILED

    public static final int METHOD_INVOCATION_FAILED

  See Also:
    Constant Field Values

### CANNOT_CREATE_CLONE

    public static final int CANNOT_CREATE_CLONE

  See Also:
    Constant Field Values

### METHOD_NOT_VALID

    public static final int METHOD_NOT_VALID

  See Also:
    Constant Field Values

### METHOD_DOES_NOT_EXIST_IN_CONTAINER_CLASS

    public static final int METHOD_DOES_NOT_EXIST_IN_CONTAINER_CLASS

  See Also:
    Constant Field Values

### COULD_NOT_INSTANTIATE_CONTAINER_CLASS

    public static final int COULD_NOT_INSTANTIATE_CONTAINER_CLASS

  See Also:
    Constant Field Values

### MAP_KEY_NOT_COMPARABLE

    public static final int MAP_KEY_NOT_COMPARABLE

  See Also:
    Constant Field Values

### CANNOT_ACCESS_METHOD_ON_OBJECT

    public static final int CANNOT_ACCESS_METHOD_ON_OBJECT

  See Also:
    Constant Field Values

### CALLED_METHOD_THREW_EXCEPTION

    public static final int CALLED_METHOD_THREW_EXCEPTION

  See Also:
    Constant Field Values

### INVALID_OPERATION

    public static final int INVALID_OPERATION

  See Also:
    Constant Field Values

### CANNOT_REMOVE_FROM_CONTAINER

    public static final int CANNOT_REMOVE_FROM_CONTAINER

  See Also:
    Constant Field Values

### CANNOT_ADD_ELEMENT

    public static final int CANNOT_ADD_ELEMENT

  See Also:
    Constant Field Values

### BACKUP_CLONE_DELETED

    public static final int BACKUP_CLONE_DELETED

  See Also:
    Constant Field Values

### CANNOT_COMPARE_TABLES_IN_EXPRESSION

    public static final int CANNOT_COMPARE_TABLES_IN_EXPRESSION

  See Also:
    Constant Field Values

### INVALID_TABLE_FOR_FIELD_IN_EXPRESSION

    public static final int INVALID_TABLE_FOR_FIELD_IN_EXPRESSION

  See Also:
    Constant Field Values

### INVALID_USE_OF_TO_MANY_QUERY_KEY_IN_EXPRESSION

    public static final int INVALID_USE_OF_TO_MANY_QUERY_KEY_IN_EXPRESSION

  See Also:
    Constant Field Values

### INVALID_USE_OF_ANY_OF_IN_EXPRESSION

    public static final int INVALID_USE_OF_ANY_OF_IN_EXPRESSION

  See Also:
    Constant Field Values

### CANNOT_QUERY_ACROSS_VARIABLE_ONE_TO_ONE_MAPPING

    public static final int CANNOT_QUERY_ACROSS_VARIABLE_ONE_TO_ONE_MAPPING

  See Also:
    Constant Field Values

### ILL_FORMED_EXPRESSION

    public static final int ILL_FORMED_EXPRESSION

  See Also:
    Constant Field Values

### CANNOT_CONFORM_EXPRESSION

    public static final int CANNOT_CONFORM_EXPRESSION

  See Also:
    Constant Field Values

### INVALID_OPERATOR_FOR_OBJECT_EXPRESSION

    public static final int INVALID_OPERATOR_FOR_OBJECT_EXPRESSION

  See Also:
    Constant Field Values

### UNSUPPORTED_MAPPING_FOR_OBJECT_COMPARISON

    public static final int UNSUPPORTED_MAPPING_FOR_OBJECT_COMPARISON

  See Also:
    Constant Field Values

### OBJECT_COMPARISON_CANNOT_BE_PARAMETERIZED

    public static final int OBJECT_COMPARISON_CANNOT_BE_PARAMETERIZED

  See Also:
    Constant Field Values

### INCORRECT_CLASS_FOR_OBJECT_COMPARISON

    public static final int INCORRECT_CLASS_FOR_OBJECT_COMPARISON

  See Also:
    Constant Field Values

### CANNOT_COMPARE_TARGET_FOREIGN_KEYS_TO_NULL

    public static final int CANNOT_COMPARE_TARGET_FOREIGN_KEYS_TO_NULL

  See Also:
    Constant Field Values

### INVALID_DATABASE_CALL

    public static final int INVALID_DATABASE_CALL

  See Also:
    Constant Field Values

### INVALID_DATABASE_ACCESSOR

    public static final int INVALID_DATABASE_ACCESSOR

  See Also:
    Constant Field Values

### METHOD_DOES_NOT_EXIST_ON_EXPRESSION

    public static final int METHOD_DOES_NOT_EXIST_ON_EXPRESSION

  See Also:
    Constant Field Values

### IN_CANNOT_BE_PARAMETERIZED

    public static final int IN_CANNOT_BE_PARAMETERIZED

  See Also:
    Constant Field Values

### REDIRECTION_CLASS_OR_METHOD_NOT_SET

    public static final int REDIRECTION_CLASS_OR_METHOD_NOT_SET

  See Also:
    Constant Field Values

### REDIRECTION_METHOD_NOT_DEFINED_CORRECTLY

    public static final int REDIRECTION_METHOD_NOT_DEFINED_CORRECTLY

  See Also:
    Constant Field Values

### REDIRECTION_METHOD_ERROR

    public static final int REDIRECTION_METHOD_ERROR

  See Also:
    Constant Field Values

### EXAMPLE_AND_REFERENCE_OBJECT_CLASS_MISMATCH

    public static final int EXAMPLE_AND_REFERENCE_OBJECT_CLASS_MISMATCH

  See Also:
    Constant Field Values

### NO_ATTRIBUTES_FOR_REPORT_QUERY

    public static final int NO_ATTRIBUTES_FOR_REPORT_QUERY

  See Also:
    Constant Field Values

### NO_EXPRESSION_BUILDER_CLASS_FOUND

    public static final int NO_EXPRESSION_BUILDER_CLASS_FOUND

  See Also:
    Constant Field Values

### CANNOT_SET_REPORT_QUERY_TO_CHECK_CACHE_ONLY

    public static final int CANNOT_SET_REPORT_QUERY_TO_CHECK_CACHE_ONLY

  See Also:
    Constant Field Values

### TYPE_MISMATCH_BETWEEN_ATTRIBUTE_AND_CONSTANT_ON_EXPRESSION

    public static final int TYPE_MISMATCH_BETWEEN_ATTRIBUTE_AND_CONSTANT_ON_EXPRESSION

  See Also:
    Constant Field Values

### MUST_INSTANTIATE_VALUEHOLDERS

    public static final int MUST_INSTANTIATE_VALUEHOLDERS

  See Also:
    Constant Field Values

### MUST_BE_ONE_TO_ONE_OR_ONE_TO_MANY_MAPPING

    public static final int MUST_BE_ONE_TO_ONE_OR_ONE_TO_MANY_MAPPING

  Deprecated. since 10.1.3, no direct replacement API.
  See Also:
    Constant Field Values

### PARAMETER_NAME_MISMATCH

    public static final int PARAMETER_NAME_MISMATCH

  See Also:
    Constant Field Values

### CLONE_METHOD_REQUIRED

    public static final int CLONE_METHOD_REQUIRED

  See Also:
    Constant Field Values

### CLONE_METHOD_INACCESSIBLE

    public static final int CLONE_METHOD_INACCESSIBLE

  See Also:
    Constant Field Values

### CLONE_METHOD_THORW_EXCEPTION

    public static final int CLONE_METHOD_THORW_EXCEPTION

  See Also:
    Constant Field Values

### UNEXPECTED_INVOCATION

    public static final int UNEXPECTED_INVOCATION

  See Also:
    Constant Field Values

### JOINING_ACROSS_INHERITANCE_WITH_MULTIPLE_TABLES

    public static final int JOINING_ACROSS_INHERITANCE_WITH_MULTIPLE_TABLES

  See Also:
    Constant Field Values

### MULTIPLE_ROWS_DETECTED_FROM_SINGLE_OBJECT_READ

    public static final int MULTIPLE_ROWS_DETECTED_FROM_SINGLE_OBJECT_READ

  See Also:
    Constant Field Values

### HISTORICAL_QUERIES_MUST_PRESERVE_GLOBAL_CACHE

    public static final int HISTORICAL_QUERIES_MUST_PRESERVE_GLOBAL_CACHE

  See Also:
    Constant Field Values

### HISTORICAL_QUERIES_ONLY_SUPPORTED_ON_ORACLE

    public static final int HISTORICAL_QUERIES_ONLY_SUPPORTED_ON_ORACLE

  See Also:
    Constant Field Values

### INVALID_QUERY_ON_HISTORICAL_SESSION

    public static final int INVALID_QUERY_ON_HISTORICAL_SESSION

  See Also:
    Constant Field Values

### OBJECT_DOES_NOT_EXIST_IN_CACHE

    public static final int OBJECT_DOES_NOT_EXIST_IN_CACHE

  See Also:
    Constant Field Values

### MUST_USE_CURSOR_STREAM_POLICY

    public static final int MUST_USE_CURSOR_STREAM_POLICY

  See Also:
    Constant Field Values

### CLASS_PK_DOES_NOT_EXIST_IN_CACHE

    public static final int CLASS_PK_DOES_NOT_EXIST_IN_CACHE

  See Also:
    Constant Field Values

### UPDATE_STATEMENTS_NOT_SPECIFIED

    public static final int UPDATE_STATEMENTS_NOT_SPECIFIED

  See Also:
    Constant Field Values

### INHERITANCE_WITH_MULTIPLE_TABLES_NOT_SUPPORTED

    public static final int INHERITANCE_WITH_MULTIPLE_TABLES_NOT_SUPPORTED

  See Also:
    Constant Field Values

### QUERY_FETCHGROUP_NOT_DEFINED_IN_DESCRIPTOR

    public static final int QUERY_FETCHGROUP_NOT_DEFINED_IN_DESCRIPTOR

  See Also:
    Constant Field Values

### CANNOT_CONFORM_UNFETCHED_ATTRIBUTE

    public static final int CANNOT_CONFORM_UNFETCHED_ATTRIBUTE

  See Also:
    Constant Field Values

### FETCH_GROUP_ATTRIBUTE_NOT_MAPPED

    public static final int FETCH_GROUP_ATTRIBUTE_NOT_MAPPED

  See Also:
    Constant Field Values

### FETCH_GROUP_NOT_SUPPORT_ON_REPORT_QUERY

    public static final int FETCH_GROUP_NOT_SUPPORT_ON_REPORT_QUERY

  See Also:
    Constant Field Values

### FETCH_GROUP_NOT_SUPPORT_ON_PARTIAL_ATTRIBUTE_READING

    public static final int FETCH_GROUP_NOT_SUPPORT_ON_PARTIAL_ATTRIBUTE_READING

  See Also:
    Constant Field Values

### FETCHGROUP_VALID_ONLY_IF_FETCHGROUP_MANAGER_IN_DESCRIPTOR

    public static final int FETCHGROUP_VALID_ONLY_IF_FETCHGROUP_MANAGER_IN_DESCRIPTOR

  See Also:
    Constant Field Values

### ISOLATED_QUERY_EXECUTED_ON_SERVER_SESSION

    public static final int ISOLATED_QUERY_EXECUTED_ON_SERVER_SESSION

  See Also:
    Constant Field Values

### NO_CALL_OR_INTERACTION_SPECIFIED

    public static final int NO_CALL_OR_INTERACTION_SPECIFIED

  See Also:
    Constant Field Values

### CANNOT_CACHE_CURSOR_RESULTS_ON_QUERY

    public static final int CANNOT_CACHE_CURSOR_RESULTS_ON_QUERY

  See Also:
    Constant Field Values

### CANNOT_CACHE_ISOLATED_DATA_ON_QUERY

    public static final int CANNOT_CACHE_ISOLATED_DATA_ON_QUERY

  See Also:
    Constant Field Values

### MAPPING_FOR_EXPRESSION_DOES_NOT_SUPPORT_JOINING

    public static final int MAPPING_FOR_EXPRESSION_DOES_NOT_SUPPORT_JOINING

  See Also:
    Constant Field Values

### SPECIFIED_PARTIAL_ATTRIBUTE_DOES_NOT_EXIST

    public static final int SPECIFIED_PARTIAL_ATTRIBUTE_DOES_NOT_EXIST

  See Also:
    Constant Field Values

### INVALID_BUILDER_IN_QUERY

    public static final int INVALID_BUILDER_IN_QUERY

  See Also:
    Constant Field Values

### INVALID_EXPRESSION

    public static final int INVALID_EXPRESSION

  See Also:
    Constant Field Values

### INVALID_CONTAINER_CLASS

    public static final int INVALID_CONTAINER_CLASS

  See Also:
    Constant Field Values

### INCORRECT_QUERY_FOUND

    public static final int INCORRECT_QUERY_FOUND

  See Also:
    Constant Field Values

### CLEAR_QUERY_RESULTS_NOT_SUPPORTED

    public static final int CLEAR_QUERY_RESULTS_NOT_SUPPORTED

  See Also:
    Constant Field Values

### CANNOT_CONFORM_AND_CACHE_QUERY_RESULTS

    public static final int CANNOT_CONFORM_AND_CACHE_QUERY_RESULTS

  See Also:
    Constant Field Values

### REFLECTIVE_CALL_ON_TOPLINK_CLASS_FAILED

    public static final int REFLECTIVE_CALL_ON_TOPLINK_CLASS_FAILED

  See Also:
    Constant Field Values

### BATCH_READING_NOT_SUPPORTED_WITH_CALL

    public static final int BATCH_READING_NOT_SUPPORTED_WITH_CALL

  See Also:
    Constant Field Values

### REFRESH_NOT_POSSIBLE_WITH_CHECK_CACHE_ONLY

    public static final int REFRESH_NOT_POSSIBLE_WITH_CHECK_CACHE_ONLY

  See Also:
    Constant Field Values

Method Detail

### additionalSizeQueryNotSpecified

    public static QueryException additionalSizeQueryNotSpecified(DatabaseQuery query)

### aggregateObjectCannotBeDeletedOrWritten

    public static QueryException aggregateObjectCannotBeDeletedOrWritten(Descriptor descriptor,
                                                                         DatabaseQuery query)

### argumentSizeMismatchInQueryAndQueryDefinition

    public static QueryException argumentSizeMismatchInQueryAndQueryDefinition(DatabaseQuery query)

### backupCloneIsDeleted

    public static QueryException backupCloneIsDeleted(java.lang.Object clone)

### backupCloneIsOriginalFromParent

    public static QueryException backupCloneIsOriginalFromParent(java.lang.Object clone)

### backupCloneIsOriginalFromSelf

    public static QueryException backupCloneIsOriginalFromSelf(java.lang.Object clone)

### batchReadingNotSupported

    public static QueryException batchReadingNotSupported(DatabaseMapping mapping,
                                                          DatabaseQuery query)

### batchReadingNotSupported

    public static QueryException batchReadingNotSupported(DatabaseQuery query)

### calledMethodThrewException

    public static QueryException calledMethodThrewException(java.lang.reflect.Method aMethod,
                                                            java.lang.Object object,
                                                            java.lang.Exception ex)

### cannotAccessMethodOnObject

    public static ValidationException cannotAccessMethodOnObject(java.lang.reflect.Method aMethod,
                                                                 java.lang.Object anObject)

### cannotAddElement

    public static QueryException cannotAddElement(java.lang.Object anObject,
                                                  java.lang.Object aContainer,
                                                  java.lang.Exception ex)

### cannotAddToContainer

    public static QueryException cannotAddToContainer(java.lang.Object anObject,
                                                      java.lang.Object aContainer,
                                                      ContainerPolicy policy)

### cannotCacheCursorResultsOnQuery

    public static QueryException cannotCacheCursorResultsOnQuery(DatabaseQuery query)

### cannotCacheIsolatedDataOnQuery

    public static QueryException cannotCacheIsolatedDataOnQuery(DatabaseQuery query)

### cannotCachePartialObjects

    public static QueryException cannotCachePartialObjects(DatabaseQuery query)

### cannotCompareTablesInExpression

    public static QueryException cannotCompareTablesInExpression(java.lang.Object data)

### cannotCompareTargetForeignKeysToNull

    public static QueryException cannotCompareTargetForeignKeysToNull(Expression expression,
                                                                      java.lang.Object value,
                                                                      DatabaseMapping mapping)

### cannotConformAndCacheQueryResults

    public static QueryException cannotConformAndCacheQueryResults(ReadQuery query)

### cannotConformExpression

    public static QueryException cannotConformExpression()

### cannotCreateClone

    public static QueryException cannotCreateClone(ContainerPolicy policy,
                                                   java.lang.Object anObject)

### cannotDeleteReadOnlyObject

    public static QueryException cannotDeleteReadOnlyObject(java.lang.Object anObject)

### cannotQueryAcrossAVariableOneToOneMapping

    public static QueryException cannotQueryAcrossAVariableOneToOneMapping(DatabaseMapping mapping,
                                                                           Descriptor descriptor)

### cannotRemoveFromContainer

    public static QueryException cannotRemoveFromContainer(java.lang.Object anObject,
                                                           java.lang.Object aContainer,
                                                           ContainerPolicy policy)

### cannotSetShouldCheckCacheOnlyOnReportQuery

    public static QueryException cannotSetShouldCheckCacheOnlyOnReportQuery()

### couldNotInstantiateContainerClass

    public static QueryException couldNotInstantiateContainerClass(java.lang.Class aClass,
                                                                   java.lang.Exception exception)

### descriptorIsMissing

    public static QueryException descriptorIsMissing(java.lang.Class referenceClass,
                                                     DatabaseQuery query)

### descriptorIsMissingForNamedQuery

    public static QueryException descriptorIsMissingForNamedQuery(java.lang.Class domainClass,
                                                                  java.lang.String queryName)

### exampleAndReferenceObjectClassMismatch

    public static QueryException exampleAndReferenceObjectClassMismatch(java.lang.Class exampleObjectClass,
                                                                        java.lang.Class referenceObjectClass,
                                                                        DatabaseQuery query)

  Oct 18, 2000 JED Added this method and exception value

### getMessage

    public java.lang.String getMessage()

  PUBLIC: Return the exception error message. TopLink error messages are multi-line so that detail descriptions of the exception are given.
  Overrides:
    `getMessage` in class `TopLinkException`

### getQuery

    public DatabaseQuery getQuery()

  PUBLIC: Return the query in which the problem was detected.

### getQueryArguments

    public DatabaseRow getQueryArguments()

  Deprecated. Replaced by `getQueryArgumentsRecord()`
  OBSOLETE:

### getQueryArgumentsRecord

    public Record getQueryArgumentsRecord()

  PUBLIC: Return the query argements used in the original query when exception is thrown

### illegalUseOfGetField

    public static QueryException illegalUseOfGetField(java.lang.Object data)

### illegalUseOfGetTable

    public static QueryException illegalUseOfGetTable(java.lang.Object data)

### illFormedExpression

    public static QueryException illFormedExpression(Expression queryKey)

### inCannotBeParameterized

    public static QueryException inCannotBeParameterized(DatabaseQuery query)

### incorrectClassForObjectComparison

    public static QueryException incorrectClassForObjectComparison(Expression expression,
                                                                   java.lang.Object value,
                                                                   DatabaseMapping mapping)

### incorrectSizeQueryForCursorStream

    public static QueryException incorrectSizeQueryForCursorStream(DatabaseQuery query)

### incorrectQueryObjectFound

    public static QueryException incorrectQueryObjectFound(DatabaseQuery query,
                                                           java.lang.Class expectedQueryClass)

### invalidContainerClass

    public static QueryException invalidContainerClass(java.lang.Class containerGiven,
                                                       java.lang.Class containerRequired)

### invalidDatabaseAccessor

    public static QueryException invalidDatabaseAccessor(oracle.toplink.internal.databaseaccess.Accessor accessor)

### invalidDatabaseCall

    public static QueryException invalidDatabaseCall(Call call)

### invalidExpressionForQueryItem

    public static QueryException invalidExpressionForQueryItem(Expression expression,
                                                               DatabaseQuery owner)

### invalidOperation

    public static QueryException invalidOperation(java.lang.String operation)

### invalidOperator

    public static QueryException invalidOperator(java.lang.Object data)

### invalidOperatorForObjectComparison

    public static QueryException invalidOperatorForObjectComparison(Expression expression)

### invalidQuery

    public static QueryException invalidQuery(DatabaseQuery query)

### invalidBuilderInQuery

    public static QueryException invalidBuilderInQuery(DatabaseQuery query)

### invalidQueryKeyInExpression

    public static QueryException invalidQueryKeyInExpression(java.lang.Object data)

### invalidExpression

    public static QueryException invalidExpression(java.lang.Object expression)

### mappingForExpressionDoesNotSupportJoining

    public static QueryException mappingForExpressionDoesNotSupportJoining(java.lang.Object expression)

### invalidQueryOnHistoricalSession

    public static QueryException invalidQueryOnHistoricalSession(DatabaseQuery query)

### invalidQueryOnServerSession

    public static QueryException invalidQueryOnServerSession(DatabaseQuery query)

### invalidTableForFieldInExpression

    public static QueryException invalidTableForFieldInExpression(java.lang.Object data)

### invalidUseOfAnyOfInExpression

    public static QueryException invalidUseOfAnyOfInExpression(java.lang.Object data)

### joiningAcrossInheritanceClassWithMultipleTablesNotSupported

    public static QueryException joiningAcrossInheritanceClassWithMultipleTablesNotSupported(DatabaseQuery query,
                                                                                             java.lang.Class joinClass)

### invalidUseOfToManyQueryKeyInExpression

    public static QueryException invalidUseOfToManyQueryKeyInExpression(java.lang.Object data)

### isolatedQueryExecutedOnServerSession

    public static QueryException isolatedQueryExecutedOnServerSession()

### mapKeyNotComparable

    public static ValidationException mapKeyNotComparable(java.lang.Object anObject,
                                                          java.lang.Object aContainer)

### methodDoesNotExistInContainerClass

    public static QueryException methodDoesNotExistInContainerClass(java.lang.String methodName,
                                                                    java.lang.Class aClass)

### methodDoesNotExistOnExpression

    public static QueryException methodDoesNotExistOnExpression(java.lang.String methodName,
                                                                java.lang.Class[] argTypes)

### methodInvocationFailed

    public static QueryException methodInvocationFailed(java.lang.reflect.Method aMethod,
                                                        java.lang.Object anObject,
                                                        java.lang.Exception ex)

### methodNotValid

    public static QueryException methodNotValid(java.lang.Object aReceiver,
                                                java.lang.String methodName)

### mustInstantiateValueholders

    public static QueryException mustInstantiateValueholders()

### noAttributesForReportQuery

    public static QueryException noAttributesForReportQuery(DatabaseQuery query)

  Oct 19, 2000 JED Added this method and exception value

### noConcreteClassIndicated

    public static QueryException noConcreteClassIndicated(DatabaseRow row,
                                                          DatabaseQuery query)

### noCallOrInteractionSpecified

    public static QueryException noCallOrInteractionSpecified()

### noCursorSupport

    public static QueryException noCursorSupport(DatabaseQuery query)

### noDescriptorForClassFromInheritancePolicy

    public static QueryException noDescriptorForClassFromInheritancePolicy(DatabaseQuery query,
                                                                           java.lang.Class referenceClass)

### noExpressionBuilderFound

    public static QueryException noExpressionBuilderFound(Expression expression)

### nullPrimaryKeyInBuildingObject

    public static QueryException nullPrimaryKeyInBuildingObject(DatabaseQuery query,
                                                                DatabaseRow databaseRow)

### objectComparisonsCannotBeParameterized

    public static QueryException objectComparisonsCannotBeParameterized(Expression expression)

### objectDoesNotExistInCache

    public static QueryException objectDoesNotExistInCache(java.lang.Object object)

### classPkDoesNotExistInCache

    public static QueryException classPkDoesNotExistInCache(java.lang.Class theClass,
                                                            java.util.Vector primaryKey)

### clearQueryResultsNotSupported

    public static QueryException clearQueryResultsNotSupported(ReadQuery query)

### objectToInsertIsEmpty

    public static QueryException objectToInsertIsEmpty(DatabaseTable table)

### objectToModifyNotSpecified

    public static QueryException objectToModifyNotSpecified(DatabaseQuery query)

### outerJoinIsOnlyValidForOneToOneMappings

    public static QueryException outerJoinIsOnlyValidForOneToOneMappings(DatabaseMapping mapping)

### queryNotDefined

    public static QueryException queryNotDefined()

### queryNotDefined

    public static QueryException queryNotDefined(java.lang.String queryName)

### queryNotDefined

    public static QueryException queryNotDefined(java.lang.String queryName,
                                                 java.lang.Class domainClass)

### querySentToInactiveUnitOfWork

    public static QueryException querySentToInactiveUnitOfWork(DatabaseQuery query)

### readBeyondStream

    public static QueryException readBeyondStream(DatabaseQuery query)

### redirectionClassOrMethodNotSet

    public static QueryException redirectionClassOrMethodNotSet(DatabaseQuery query)

### redirectionMethodError

    public static QueryException redirectionMethodError(java.lang.Exception exception,
                                                        DatabaseQuery query)

### redirectionMethodNotDefinedCorrectly

    public static QueryException redirectionMethodNotDefinedCorrectly(java.lang.Class methodClass,
                                                                      java.lang.String methodName,
                                                                      java.lang.Exception exception,
                                                                      DatabaseQuery query)

### referenceClassMissing

    public static QueryException referenceClassMissing(DatabaseQuery query)

### refreshNotPossibleWithoutCache

    public static QueryException refreshNotPossibleWithoutCache(DatabaseQuery query)

### reportQueryResultSizeMismatch

    public static QueryException reportQueryResultSizeMismatch(int expected,
                                                               int retrieved)

### reportQueryResultWithoutPKs

    public static QueryException reportQueryResultWithoutPKs(ReportQueryResult result)

### parameterNameMismatch

    public static QueryException parameterNameMismatch(java.lang.String badParameterName)

### selectionObjectCannotBeNull

    public static QueryException selectionObjectCannotBeNull(DatabaseQuery query)

### sizeOnlySupportedOnExpressionQueries

    public static QueryException sizeOnlySupportedOnExpressionQueries(DatabaseQuery query)

### specifiedPartialAttributeDoesNotExist

    public static QueryException specifiedPartialAttributeDoesNotExist(DatabaseQuery query,
                                                                       java.lang.String attributeName,
                                                                       java.lang.String targetClassName)

### sqlStatementNotSetProperly

    public static QueryException sqlStatementNotSetProperly(DatabaseQuery query)

### typeMismatchBetweenAttributeAndConstantOnExpression

    public static QueryException typeMismatchBetweenAttributeAndConstantOnExpression(java.lang.Class constantClass,
                                                                                     java.lang.Class attributeClass)

### unnamedQueryOnSessionBroker

    public static QueryException unnamedQueryOnSessionBroker(DatabaseQuery query)

### unsupportedMappingForObjectComparison

    public static QueryException unsupportedMappingForObjectComparison(DatabaseMapping mapping,
                                                                       Expression expression)

### updateStatementsNotSpecified

    public static QueryException updateStatementsNotSpecified()

### inheritanceWithMultipleTablesNotSupported

    public static QueryException inheritanceWithMultipleTablesNotSupported()

### cloneMethodRequired

    public static QueryException cloneMethodRequired()

### cloneMethodInaccessible

    public static QueryException cloneMethodInaccessible()

### cloneMethodThrowException

    public static QueryException cloneMethodThrowException(java.lang.Throwable exception)

### unexpectedInvocation

    public static QueryException unexpectedInvocation(java.lang.String message)

### multipleRowsDetectedFromReadObjectQuery

    public static QueryException multipleRowsDetectedFromReadObjectQuery()

### historicalQueriesMustPreserveGlobalCache

    public static QueryException historicalQueriesMustPreserveGlobalCache()

### historicalQueriesOnlySupportedOnOracle

    public static QueryException historicalQueriesOnlySupportedOnOracle()

### mustUseCursorStreamPolicy

    public static QueryException mustUseCursorStreamPolicy()

### fetchGroupNotDefinedInDescriptor

    public static QueryException fetchGroupNotDefinedInDescriptor(java.lang.String fetchGroupName)

### cannotConformUnfetchedAttribute

    public static QueryException cannotConformUnfetchedAttribute(java.lang.String attrbuteName)

### fetchGroupAttributeNotMapped

    public static QueryException fetchGroupAttributeNotMapped(java.lang.String attrbuteName)

### fetchGroupNotSupportOnReportQuery

    public static QueryException fetchGroupNotSupportOnReportQuery()

### fetchGroupNotSupportOnPartialAttributeReading

    public static QueryException fetchGroupNotSupportOnPartialAttributeReading()

### fetchGroupValidOnlyIfFetchGroupManagerInDescriptor

    public static QueryException fetchGroupValidOnlyIfFetchGroupManagerInDescriptor(java.lang.String descriptorName,
                                                                                    java.lang.String queryName)

### reflectiveCallOnTopLinkClassFailed

    public static QueryException reflectiveCallOnTopLinkClassFailed(java.lang.String className,
                                                                    java.lang.Exception e)

### refreshNotPossibleWithCheckCacheOnly

    public static QueryException refreshNotPossibleWithCheckCacheOnly(DatabaseQuery query)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD